Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Publish\Core\MVC\Symfony\Matcher\ViewMatcherInterface Interface Reference

Matches a View against a set of matchers. More...

Inheritance diagram for eZ\Publish\Core\MVC\Symfony\Matcher\ViewMatcherInterface:

## Public Member Functions
| setMatchingConfig ($matchingConfig)
| Registers the matching configuration for the matcher. More...
| match (View $view)
| Matches the $view against a set of matchers. More...

## Detailed Description

Matches a View against a set of matchers.

Definition at line 14 of file ViewMatcherInterface.php.

## Member Function Documentation

## ◆ match()

eZ\Publish\Core\MVC\Symfony\Matcher\ViewMatcherInterface::match | ( | View | $view | ) |

Matches the $view against a set of matchers.

Parameters

  \eZ\Publish\Core\MVC\Symfony\View\View | $view |

Returns
  bool

Implemented in eZ\Publish\Core\MVC\Symfony\Matcher\ContentBased\UrlAlias, eZ\Publish\Core\MVC\Symfony\Matcher\ContentBased\Identifier\Section, eZ\Publish\Core\MVC\Symfony\Matcher\ContentBased\Identifier\ParentContentType, eZ\Publish\Core\MVC\Symfony\Matcher\ContentBased\Identifier\ContentType, eZ\Publish\Core\MVC\Symfony\Matcher\ContentBased\Id\Section, eZ\Publish\Core\MVC\Symfony\Matcher\ContentBased\Id\Remote, eZ\Publish\Core\MVC\Symfony\Matcher\ContentBased\Id\ParentLocation, eZ\Publish\Core\MVC\Symfony\Matcher\ContentBased\Id\ParentContentType, eZ\Publish\Core\MVC\Symfony\Matcher\ContentBased\Id\LocationRemote, eZ\Publish\Core\MVC\Symfony\Matcher\ContentBased\Id\Location, eZ\Publish\Core\MVC\Symfony\Matcher\ContentBased\Id\ContentTypeGroup, eZ\Publish\Core\MVC\Symfony\Matcher\ContentBased\Id\ContentType, eZ\Publish\Core\MVC\Symfony\Matcher\ContentBased\Id\Content, eZ\Publish\Core\MVC\Symfony\Matcher\ContentBased\Depth, eZ\Publish\Core\MVC\Symfony\Matcher\Block\Id\Zone, and eZ\Publish\Core\MVC\Symfony\Matcher\Block\Id\Block.

## ◆ setMatchingConfig()

eZ\Publish\Core\MVC\Symfony\Matcher\ViewMatcherInterface::setMatchingConfig | ( |  | $matchingConfig | ) |

Registers the matching configuration for the matcher.

It's up to the implementor to validate $matchingConfig since it can be anything configured by the end-developer.

Parameters

  mixed | $matchingConfig |

Exceptions

Implemented in eZ\Publish\Core\MVC\Symfony\Matcher\ContentBased\UrlAlias, eZ\Publish\Core\MVC\Symfony\Matcher\ContentBased\MultipleValued, and eZ\Publish\Core\MVC\Symfony\Matcher\Block\MultipleValued.

The documentation for this interface was generated from the following file:

- ViewMatcherInterface.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.